$!**************************************************************************  
$!  Iterate through files matching filespec, converting Variable format ones
$!   to Stream format using VCM_STREAM.FDL                                                                          
$!**************************************************************************  
$        PFILE = ""
$        FILESPEC = P1
$        IF P1.EQS."" THEN EXIT
$LOOP:
$        IFILE = F$SEARCH(FILESPEC)
$        IF IFILE.EQS.PFILE THEN GOTO DONE
$        PFILE = IFILE
$        IF IFILE.EQS."" THEN GOTO DONE
$        IF F$PARSE(IFILE,,,"TYPE") .EQS. ".DIR" THEN GOTO LOOP
$        RFM = F$FILE_ATTRIBUTES(IFILE,"RFM")
$        IF RFM .EQS. "VAR" THEN GOTO VAR
$        GOTO LOOP
$VAR:
$! Remove version number to form output filename
$        FNODE = F$PARSE(IFILE,,,"NODE")
$        FDEV = F$PARSE(IFILE,,,"DEVICE")
$        FDIR = F$PARSE(IFILE,,,"DIRECTORY")
$        FNAME = F$PARSE(IFILE,,,"NAME")
$        FTYPE = F$PARSE(IFILE,,,"TYPE")
$        OFILE = FNODE+FDEV+FDIR+FNAME+FTYPE
$
$        WRITE SYS$OUTPUT "Convert ",IFILE," to ",OFILE
$        CONVERT/FDL=VCM_STREAM.FDL 'IFILE' 'OFILE'
$        GOTO LOOP
$DONE:
$        EXIT

