<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

<xsl:include href='gjsForm.xsl'/>

<xsl:template match="Form">
<gjs:form
 title='About Deltanji'
 onload='document.getElementById("userAgent").textContent=navigator.userAgent'
 save='no'
 close='yes'
 delete='no'
 print='no'
 help='no'
 ok='no'
 cancel='no'>
<script language='javascript'>
function fnItemSaveClose() {
  parent.fnClose();
}
</script>
<div style='margin: 20px; word-wrap: break-word;'>
<span class='caption'>
<table style='table-layout: fixed; width: 550px;'>
  <tr>
    <td class='caption' style='text-align: right; width: 120px;'>Connected&nbsp;User:</td>
    <td><xsl:value-of select='user/@user'/></td>
  </tr>
  <tr>
    <td class='caption' style='text-align: right;'>License&nbsp;Number:</td>
    <td><xsl:value-of select='aboutVCm/@license'/></td>
  </tr>
  <tr>
    <td class='caption' style='text-align: right;'>Customer:</td>
    <td><xsl:value-of select='aboutVCm/@customer'/></td>
  </tr>
  <tr>
    <td class='caption' style='text-align: right;'>Edition:</td>
    <td><xsl:value-of select='aboutVCm/@edition'/></td>
  </tr>
  <tr>
    <td class='caption' style='text-align: right;'>Client&nbsp;Version:</td>
    <td>7.0</td>
  </tr>
  <tr>
    <td class='caption' style='text-align: right;'>User&nbsp;Agent:</td>
    <td id='userAgent'>???</td>
  </tr>
  <tr>
    <td class='caption' style='text-align: right;'>Server&nbsp;Version:</td>
    <td><xsl:value-of select='aboutVCm/@version'/></td>
  </tr>
  <tr>
    <td class='caption' style='text-align: right;'>Host&nbsp;Version:</td>
    <td><xsl:value-of select='aboutVCm/@hostVersion'/></td>
  </tr>
  <tr>
    <td class='caption' style='text-align: right;'>Host&nbsp;ID:</td>
    <td><xsl:value-of select='aboutVCm/@instanceGUID'/></td>
  </tr>
  <tr>
    <td class='caption' style='text-align: right;'>Host&nbsp;Username:</td>
    <td><xsl:value-of select='aboutVCm/@hostUsername'/></td>
  </tr>
  <tr>
    <td class='caption' style='text-align: right;'>Host&nbsp;User&nbsp;Roles:</td>
    <td><xsl:value-of select='aboutVCm/@hostRoles'/></td>
  </tr>
  <tr title="  Start: Do StartUp^%vc830
  Stop: Do Stop^%vc830
Check: Write $$Running^%vc830">
    <td class='caption' style='text-align: right;'>Diff&nbsp;Server&nbsp;Status:</td>
    <td><xsl:value-of select='aboutVCm/@diffServerStatus'/></td>
  </tr>
  <tr title="Set port during interactive startup: Do ^%vc830">
    <td class='caption' style='text-align: right;'>Diff&nbsp;Server&nbsp;Port:</td>
    <td><xsl:value-of select='aboutVCm/@diffServerPort'/></td>
  </tr>
  <tr>
    <td class='caption' style='text-align: right;'>Diff&nbsp;Server&nbsp;Protocol:</td>
    <td><xsl:value-of select='aboutVCm/@diffServerProtocol'/></td>
  </tr>
</table>
</span>
</div>
<hr/>
<div class='caption' style='text-align: center;'>
Copyright &#169; 1992,2019 <a target='_blank' href='http://www.georgejames.com'>George James Software Limited</a> 
</div>
</gjs:form>
</xsl:template>

</xsl:stylesheet>
