@echo off
rem Put Component into Visual SourceSafe project
rem Usage:
rem   vcm_vss_put.bat vsscmd vssscript vsstemp project obv cref vsstempdrive
rem Inputs:
rem   %1 - vss command with path eg c:\vss\win32\ss.exe
rem   %2 - vcm vss scripts path
rem   %3 - vss temp files
rem   %4 - project name eg $/Project1
rem   %5 - object/variant.version
rem   %6 - component name
rem   %7 - Drive letter of vss temporary directory

rem Outputs:
rem   returns 0 if project exist
rem           100 if project does not exist

%7:
cd %3
%1 cp %4 -i- < %2vcm_vss_null.txt
%1 checkout %6 -g- -i- < %2vcm_vss_null.txt
if errorlevel 100 goto add_component
%1 checkin %6 -c- -i- < %2vcm_vss_null.txt
goto label_component

:add_component
%1 add %6 -c- -i- < %2vcm_vss_null.txt
goto label_component

:label_component
%1 label %6 -l%5 -c- -i-y < %2vcm_vss_null.txt
attrib -r %6
del %6

rem Now check whether it actually worked
%1 get %6 -vl%5 -i- -g- < %2vcm_vss_null.txt

