//vc/ VC/m User Class
//vc/ Copyright 1999,2002 George James
//vc/ Object:    User.js
//vc/ Component: T.User.js


	// User Class
User = {}

User.Current=Disabled;
User.windowProperties  = 'left=50,top=50,width=500,height=450,toolbar=no';
User.windowProperties += ',location=no,directories=no,status=yes,resizable=yes,menubar=no';

User.windowChangePasswordProperties  = 'left=50,top=50,width=440,height=250,toolbar=no';
User.windowChangePasswordProperties += ',location=no,directories=no,status=yes,resizable=yes,menubar=no';


	// Public - Change current user password
User.fnChangePassword = function() {
	;
	var url;
	;
	// Build url string
	url  = parent.serverUrl ;
	url += '&page=' + escape('User.ChangePassword.fnOpen') ;
	;
	// Open window
	winChref=window.open(url,'_blank',User.windowChangePasswordProperties) ;
	winChref.focus();
}

	// Public - Should Change Password menu option be offered?
User.fnChangePassword$MenuState = function() {
  return (user!=null);
}

	// Public - Display List of users and make this the active folder
User.fnList = function() {
	//
	SelectedClass=User
	Class.fnUnselect()
	//
	ServerLink.fnDo('User.fnListResult','User.fnList','')
}

User.fnListResult = function(oResult) {
	//
  // Copy results from oResult to document
  ServerLink.fnUpdate(oResult,'divFolderHeadingCaption')
  ServerLink.fnUpdate(oResult,'divMainBody')
  ServerLink.fnUpdate(oResult,'divMainHead')
}


	// Private - Invoked when an item is selected on the list
User.fnSelect = function(oCell) {
	Class.fnSelect(User,oCell);
}


	// Public - Open new user window
User.fnNew = function() {
	fnRunWindow("User.fnNew",User.windowProperties); 
}

	// Public - Open user
User.fnOpen = function(sUser) {
	;
	var url;
	;
	// Build url string
	url  = parent.serverUrl ;
	url += '&page=' + escape('User.fnOpen') ;
	url += '&selectedItem=' + encodeURIComponent(sUser) ;
	;
	// Open window
	winChref=window.open(url,'_blank',User.windowProperties) ;
	winChref.focus();
}


	// Public - Delete a user
User.fnDelete = function(sUser) {
	;
	var arguments;
	;
	if (!confirm("Are you sure you want to delete "+sUser+" ?")) return;
	;
	arguments = sUser;
	;
	parent.serverLink.fnDo('User.fnDeleteResult','User.fnDelete',arguments);
}


User.fnDeleteResult = function(result) {
	if (result!="OK") {
		alert(result);
		return;
	}
	User.fnList();
}

  // Refresh user
User.fnRefreshArguments = function(oMain)   {
  //
	var arguments=""
	//
  arguments +=          getAttr(oMain,"gjsParentId")
  arguments += '\002' + gjsTree.fnMores(fnElement(getAttr(oMain,"gjsRowId")+'click').previousElementSibling)
	arguments += '\002' + getAttr(oMain,"gjsItem")
	arguments += '\002' + getAttr(oMain,"gjsRowId")
	arguments += '\002' + getAttr(fnElement(getAttr(oMain,"gjsRowId")+'body').parentNode,"gjsReferenceHeadingId")
	//
	return arguments
}

User.fnRefresh = function(arguments)   {
  //
  ServerLink.fnDo('User.fnRefreshResult','User.fnRefresh',arguments)
}

User.fnRefreshResult = function(oResult) {
  gjsTree.fnRefreshRows("divMainBody",oResult)
  gjsTree.fnDeleteRows("divRowDelete",oResult)
}


User.Item = {

	fnDelete: function() {
		if (typeof(User.Current)=='undefined') return;
		User.fnDelete(getAttr(User.selectedCell,"gjsItem"));
	},
	// Public - open selected user (if there is one)
	fnOpen: function() {
		if (typeof(User.Current)=='undefined') return;
		User.fnOpen(getAttr(User.selectedCell,"gjsItem"));
	}
	

}


